Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.mbeans
Interface MailActionMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface MailActionMBean
extends ServiceConfigurationMBean

MailAction configuration management bean interface.

This expects to be the child of a `CampaignServiceMBean`.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`String` | `getDefaultFromAddress()` Get the default from: email address.
`String` | `getEmailPropertyName()` Get the property name corresponding to a user property containing the user's email address.
`String` | `getEmailPropertySet()` Get the property set name corresponding to a user property set containing the user's email address property.
`String` | `getOptInPropertyName()` Get the property name corresponding to a user property containing the boolean controlling if the user opted in for email.
`String` | `getOptInPropertySet()` Get the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.
`void` | `setDefaultFromAddress(String addr)` Set the default from: email address.
`void` | `setEmailPropertyName(String name)` Set the property name corresponding to a user property containing the user's email address.
`void` | `setEmailPropertySet(String name)` Set the property set name corresponding to a user property set containing the user's email address property.
`void` | `setOptInPropertyName(String name)` Set the property name corresponding to a user property containing the boolean controlling if the user opted in for email.
`void` | `setOptInPropertySet(String name)` Set the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDefaultFromAddress

    public String getDefaultFromAddress()

  Get the default from: email address.

  MBean Attribute Old Property Name:
    mailAction.defaultFromAddress

### setDefaultFromAddress

    public void setDefaultFromAddress(String addr)

  Set the default from: email address.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    mailAction.defaultFromAddress
  MBean Attribute Legal Null:
    false

### getEmailPropertyName

    public String getEmailPropertyName()

  Get the property name corresponding to a user property containing the user's email address.

  MBean Attribute Old Property Name:
    mailAction.emailPropertyName

### setEmailPropertyName

    public void setEmailPropertyName(String name)

  Set the property name corresponding to a user property containing the user's email address.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    mailAction.emailPropertyName
  MBean Attribute Legal Null:
    false

### getEmailPropertySet

    public String getEmailPropertySet()

  Get the property set name corresponding to a user property set containing the user's email address property.

  MBean Attribute Old Property Name:
    mailAction.emailPropertySet

### setEmailPropertySet

    public void setEmailPropertySet(String name)

  Set the property set name corresponding to a user property set containing the user's email address property.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    mailAction.emailPropertySet
  MBean Attribute Legal Null:
    false

### getOptInPropertyName

    public String getOptInPropertyName()

  Get the property name corresponding to a user property containing the boolean controlling if the user opted in for email.

  MBean Attribute Old Property Name:
    mailAction.optInPropertyName

### setOptInPropertyName

    public void setOptInPropertyName(String name)

  Set the property name corresponding to a user property containing the boolean controlling if the user opted in for email.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    mailAction.optInPropertyName
  MBean Attribute Legal Null:
    false

### getOptInPropertySet

    public String getOptInPropertySet()

  Get the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.

  MBean Attribute Old Property Name:
    mailAction.optInPropertySet

### setOptInPropertySet

    public void setOptInPropertySet(String name)

  Set the property set name corresponding to a user property set containing the boolean property controlling if the user opted in for email.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    mailAction.optInPropertySet
  MBean Attribute Legal Null:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved